Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.adapters.resin
Class ResinAcegiAuthenticator

    java.lang.Object
      com.caucho.server.security.AbstractAuthenticator
          com.caucho.http.security.AbstractAuthenticator
              org.acegisecurity.adapters.resin.ResinAcegiAuthenticator

All Implemented Interfaces:
  com.caucho.server.security.ServletAuthenticator

    public class ResinAcegiAuthenticator

extends com.caucho.http.security.AbstractAuthenticator

Adapter to enable Resin to authenticate via the Acegi Security System for Spring.

Returns a `PrincipalAcegiUserToken` to Resin's authentication system, which is subsequently available via `HttpServletRequest.getUserPrincipal()`.

Version:
  $Id: ResinAcegiAuthenticator.java,v 1.5 2005/11/25 00:26:29 benalex Exp $
Author:
  Ben Alex

Field Summary

Fields inherited from class com.caucho.server.security.AbstractAuthenticator
`_passwordDigest, _passwordDigestAlgorithm, _passwordDigestRealm, _principalCache, _principalCacheSize, LOGIN_NAME`

Constructor Summary
`ResinAcegiAuthenticator()`

Method Summary
`String` | `getAppContextLocation()`
`String` | `getKey()`
`void` | `init()`
`boolean` | `isUserInRole(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext application, Principal principal, String role)`
`protected Principal` | `loginImpl(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext application, String userName, String password)`
`protected Principal` | `loginImpl(String username, String credentials)`
`void` | `setAppContextLocation(String appContextLocation)`
`void` | `setKey(String key)`

Methods inherited from class com.caucho.server.security.AbstractAuthenticator
`digest, getDigestPassword, getDigestSecret, getLogoutOnSessionTimeout, getPasswordDigest, getPasswordDigest, getPasswordDigestAlgorithm, getPasswordDigestRealm, getPrincipalCacheSize, getUserPrincipal, getUserPrincipalImpl, login, loginDigest, loginDigestImpl, logout, logout, setLogoutOnSessionTimeout, setPasswordDigest, setPasswordDigestAlgorithm, setPasswordDigestRealm, setPrincipalCacheSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResinAcegiAuthenticator

    public ResinAcegiAuthenticator()

Method Detail

### setAppContextLocation

    public void setAppContextLocation(String appContextLocation)

### getAppContextLocation

    public String getAppContextLocation()

### setKey

    public void setKey(String key)

### getKey

    public String getKey()

### isUserInRole

    public boolean isUserInRole(javax.servlet.http.HttpServletRequest request,
                                javax.servlet.http.HttpServletResponse response,
                                javax.servlet.ServletContext application,
                                Principal principal,
                                String role)

  Specified by:
    `isUserInRole` in interface `com.caucho.server.security.ServletAuthenticator`
  Overrides:
    `isUserInRole` in class `com.caucho.server.security.AbstractAuthenticator`

### init

    public void init()
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `com.caucho.server.security.ServletAuthenticator`
  Overrides:
    `init` in class `com.caucho.server.security.AbstractAuthenticator`
  Throws:
    `javax.servlet.ServletException`

### loginImpl

    protected Principal loginImpl(String username,
                                  String credentials)

### loginImpl

    protected Principal loginImpl(javax.servlet.http.HttpServletRequest request,
                                  javax.servlet.http.HttpServletResponse response,
                                  javax.servlet.ServletContext application,
                                  String userName,
                                  String password)
                           throws javax.servlet.ServletException

  Overrides:
    `loginImpl` in class `com.caucho.server.security.AbstractAuthenticator`
  Throws:
    `javax.servlet.ServletException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.